# Continuous1DFunction Class Reference

This is a TabulatedFunction that computes a continuous one dimensional function. More...

`#include <TabulatedFunction.h>`

Inheritance diagram for Continuous1DFunction:

List of all members.

## Public Member Functions

| Continuous1DFunction (const std::vector< double > &values, double min, double max)
| Create a Continuous1DFunction f(x) based on a set of tabulated values.
void | getFunctionParameters (std::vector< double > &values, double &min, double &max) const
| Get the parameters for the tabulated function.
void | setFunctionParameters (const std::vector< double > &values, double min, double max)
| Set the parameters for the tabulated function.
Continuous1DFunction * | Copy () const
| Create a deep copy of the tabulated function.

## Detailed Description

This is a TabulatedFunction that computes a continuous one dimensional function.

## Constructor & Destructor Documentation

Continuous1DFunction | ( | const std::vector< double > & | values,
|  | double | min,
|  | double | max |
| ) |  |  |

Create a Continuous1DFunction f(x) based on a set of tabulated values.

Parameters:

  | values | the tabulated values of the function f(x) at uniformly spaced values of x between min and max. A natural cubic spline is used to interpolate between the tabulated values. The function is assumed to be zero for x < min or x > max.
  | min | the value of x corresponding to the first element of values
  | max | the value of x corresponding to the last element of values

## Member Function Documentation

Continuous1DFunction* Copy | ( |  | ) | const`[virtual]`

Create a deep copy of the tabulated function.

Implements TabulatedFunction.

void getFunctionParameters | ( | std::vector< double > & | values,
|  | double & | min,
|  | double & | max |
| ) |  |  | const

Get the parameters for the tabulated function.

Parameters:

  | values | the tabulated values of the function f(x) at uniformly spaced values of x between min and max. A natural cubic spline is used to interpolate between the tabulated values. The function is assumed to be zero for x < min or x > max.
  | min | the value of x corresponding to the first element of values
  | max | the value of x corresponding to the last element of values

void setFunctionParameters | ( | const std::vector< double > & | values,
|  | double | min,
|  | double | max |
| ) |  |  |

Set the parameters for the tabulated function.

Parameters:

  | values | the tabulated values of the function f(x) at uniformly spaced values of x between min and max. A natural cubic spline is used to interpolate between the tabulated values. The function is assumed to be zero for x < min or x > max.
  | min | the value of x corresponding to the first element of values
  | max | the value of x corresponding to the last element of values

The documentation for this class was generated from the following file:

- TabulatedFunction.h